# How to build JarInfo

- Install Java SDK capable of generating 1.4 compatible class files (e.g. Oracle JDK 1.4.2_08)
- Configure the path of this Java SDK in file `pom.xml` (change and uncomment `JDK14_HOME` property)


- Import Maven project into IDEA/Eclipse
- Run `mvn clean package`, executable JAR is being created in `target` subfolder
- Open it in Windows by double-clicking the JAR file in Windows Explorer, Swing-based dialog is displayed

# How to use JarInfo for your own library JARs

- Copy the JarInfo class and the `*.properties` resource files over to your own project source code
- Adjust `jarinfo.properties` for your needs e.g. set customized dialog icon
- Create your library JARs with JarInfo as main class in `META-INF/MANIFEST.MF` and include customized resources
- Double-clicking these files in Windows Explorer will open the Swing-based dialog based on your settings

###

---
*"Edel sei der Mensch, hilfreich und gut"* (Johann Wolfgang von Goethe, 1783)
